Summary:   Download Manager for the GNOME Desktop
Name:      emphetamine
Version:   0.99.6
Release:   1
License:   GPL
Group:     Applications/Internet
Source:    %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: elysium-download
Conflicts: elysium-download
BuildRequires: libelysium-devel >= 0.99.0
BuildRequires: libgnomeui-devel

%description
A GNOME download manager that is part of the Elysium project.

%prep
%setup -q

%build
%configure
if [ "$SMP" != "" ]; then
  make -j $SMP
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
	gconftool-2 --makefile-install-rule /etc/gconf/schemas/emphetamine.schemas

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/idl/*
%{_datadir}/pixmaps/*

%changelog
* Sun Jul 21 2002 Rodney Dawes <dobey@free.fr>
- Move stuff to "Emphetamine" instead of "Elysium Download"

* Mon Jul  1 2002 Abel Cheung <maddog@linux.org.hk>
- New file list for 0.99.x
- Copyright -> License
- Use find_lang

* Sun Feb 17 2002 Rodney Dawes <dobey@free.fr>
- Really fix the files list
- Fix Buildroot and Source lines
- Remove versioned requires, and let find-requires handle shlibs

* Mon Dec  3 2001 Abel Cheung <maddog@linux.org.hk>
- Use macro for buildroot, enabling non-root compiling
- Shut up tar
- More macro and glob in file list
- Shouldn't use make -k to try to hide error
